API Reference for Marketo Engage

Get Custom Objects

GET /rest/v1/customobjects/{customObjectName}.json

Retrieves a list of custom objects records based on filter and set of values. There are two unique types of requests for this endpoint: one is executed normally using a GET with URL parameters, the other is by passing a JSON object in the body of a POST and specifying _method=GET in the querystring. The latter is used when dedupeFields attribute has more than one field, which is known as a "compound key".

Operation ID
getCustomObjectsUsingGET
Permissions
Read-Only Custom Object, Read-Write Custom Object
Request format
application/json
Returns
ResponseOfCustomObject

Parameters

Path 1

customObjectName string required

Name of custom object type to retrieve records for

Query 5

filterType string required

Field to filter on. Searchable fields can be retrieved with Describe Custom Object

filterValues array of string required

Comma-separated list of field values to match against.

fields array of string

Comma-separated list of fields to return for each record. If unset marketoGuid, dedupeFields, updatedAt, createdAt will be returned

batchSize integer (int32)

The batch size to return. The max and default value is 300.

nextPageToken string

A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.

Request body

application/json · optional · LookupCustomObjectRequest · 10 properties

batchSize integer (int32)

Maximum number of records to return in the response. Max and default is 300

fields array of string

List of fields to return. If not specified, will return the following fields: marketoGuid, dedupeFields, updatedAt, createdAt, filterType

filterType string

Field to search on. Valid values are: dedupeFields, idFields, and any field defined in searchableFields attribute of Describe endpoint. Default is dedupeFields

input array of CustomObject required

Search values when using a compound key. Each element must include each of the fields in the compound key. Compound keys are determined by the contents of "dedupeFields" in the Describe result for the object

Model CustomObject

marketoGUID string required

Unique GUID of the custom object records

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

nextPageToken string

Paging token returned from a previous response

Responses

200 OK ResponseOfCustomObject
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of CustomObject required

Array of results for individual records in the operation, may be empty

Model CustomObject

marketoGUID string required

Unique GUID of the custom object records

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "marketoGUID": "123",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results